Bug 1570874 - Installing perl-PAR-Packer causes perl DOWNGRADE
Summary: Installing perl-PAR-Packer causes perl DOWNGRADE
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-PAR-Packer
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-23 15:14 UTC by Johan Vromans
Modified: 2018-08-21 11:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-21 11:41:57 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1470542 0 unspecified CLOSED PAR::Packer requires the same perl version it was built against 2021-02-22 00:41:40 UTC

Internal Links: 1470542

Description Johan Vromans 2018-04-23 15:14:55 UTC
Description of problem:

Upgrading (or installing) perl-PAR-Packer causes a downgrade of perl and all associated modules.

Version-Release number of selected component (if applicable):

perl-PAR-Packer 1.041

How reproducible:

Always.

Steps to Reproduce:

# dnf install perl-PAR-Packer
Last metadata expiration check: 2:31:58 ago on Mon 23 Apr 2018 14:28:43 CEST.
Dependencies resolved.
================================================================================
 Package                        Arch      Version              Repository  Size
================================================================================
Installing:
 perl-PAR-Packer                x86_64    1.041-1.fc27         updates    2.2 M
Downgrading:
 perl                           x86_64    4:5.26.1-401.fc27    fedora      67 k
 perl-Attribute-Handlers        noarch    0.99-401.fc27        fedora      83 k
 perl-Devel-Peek                x86_64    1.26-401.fc27        fedora      87 k
 perl-Devel-SelfStubber         noarch    1.06-401.fc27        fedora      70 k
 perl-Errno                     x86_64    1.28-401.fc27        fedora      71 k
 ...
 perl-utils                     noarch    5.26.1-401.fc27      fedora     123 k

Transaction Summary
================================================================================
Install     1 Package
Downgrade  24 Packages

Additional info:

# rpm -qa | grep perl-5
perl-5.26.2-404.fc27.x86_64

perl-PAR-Packer relies on the installed perl binary and must be rebuilt with every upgrade of the perl package. Current perl is 5.26.2, but perl-PAR-Packer 1.041-1 is built against perl 5.26.1.

Comment 1 Jitka Plesnikova 2018-04-24 07:51:18 UTC
I'll rebuild the package with newer Perl.

Comment 2 Fedora Update System 2018-04-24 08:51:21 UTC
perl-PAR-Packer-1.041-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d5693ce353

Comment 3 Fedora Update System 2018-04-24 09:01:38 UTC
perl-PAR-Packer-1.036-7.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7f5db64fb6

Comment 4 Fedora Update System 2018-04-25 19:42:28 UTC
perl-PAR-Packer-1.041-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d5693ce353

Comment 5 Fedora Update System 2018-04-25 20:10:20 UTC
perl-PAR-Packer-1.036-7.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7f5db64fb6

Comment 6 Johan Vromans 2018-04-25 20:36:08 UTC
Can anything be done to have this package rebuilt automatically when a new perl package is made???

Comment 7 Fedora Update System 2018-05-02 12:18:28 UTC
perl-PAR-Packer-1.041-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f175983479

Comment 8 Fedora Update System 2018-05-03 15:22:20 UTC
perl-PAR-Packer-1.036-7.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-05-03 20:21:54 UTC
perl-PAR-Packer-1.041-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f175983479

Comment 10 Fedora Update System 2018-05-04 08:19:20 UTC
perl-PAR-Packer-1.041-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-05-14 17:51:47 UTC
perl-PAR-Packer-1.041-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.